- require kernel-drm for non longterm kernels auto/th/xorg-driver-video-nvidia-319.32-2
authorJan Rękorajski <baggins@pld-linux.org>
Sun, 30 Jun 2013 15:52:32 +0000 (17:52 +0200)
committerJan Rękorajski <baggins@pld-linux.org>
Sun, 30 Jun 2013 15:52:32 +0000 (17:52 +0200)
- rel 2

xorg-driver-video-nvidia.spec

index 5b0c6484ef3293a22ef9d0813ae17ac9fef686ae..cf6c9e1090aad785f2b62af9d3958a927eb1b5d1 100644 (file)
@@ -23,7 +23,7 @@
 %endif
 %define                no_install_post_check_so 1
 
-%define                rel 1
+%define                rel 2
 %define                pname   xorg-driver-video-nvidia
 Summary:       Linux Drivers for nVidia GeForce/Quadro Chips
 Summary(hu.UTF-8):     Linux meghajtók nVidia GeForce/Quadro chipekhez
@@ -182,7 +182,12 @@ Release:   %{rel}@%{_kernel_ver_str}
 Group:         Base/Kernel
 Requires(post,postun): /sbin/depmod
 Requires:      dev >= 2.7.7-10
-%{?with_dist_kernel:%requires_releq_kernel}
+%if %{with dist_kernel}
+%requires_releq_kernel
+%if "%{_alt_kernel}" == "%{nil}"
+Requires:      %releq_kernel -n drm
+%endif
+%endif
 Requires:      %{pname} = %{epoch}:%{version}
 Provides:      X11-driver-nvidia(kernel)
 Obsoletes:     XFree86-nvidia-kernel
This page took 0.060149 seconds and 4 git commands to generate.